dibody {
    text-size-adjust: 100%;
}

.gallery>* {
    margin: 2px;
    display: inline-block;
    width: 100px;
    height: 100px;
    text-align: center;
    position: relative;
}

.gallery img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
}

.gallery .working img {
    filter: blur(2px);
}

.gallery .working::after {
    content: "UPLOADING";
    font-size: 10px;
    line-height: 100px;
    text-align: center;
    display: block;
    background: rgba(255, 255, 255, 0.8);
    width: 100px;
    height: 100px;
    position: absolute;
    top: 0px;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    border-radius: 8px;
    border: rgba(128, 128, 128, 0.8);
    padding: 1em;
    box-shadow: inset 0 6px 12px rgba(0, 0, 0, 0.3);
}

.gallery::after {
    content: "Drop here";
    display: flex;
    flex: auto;
    align-items: center;
    justify-content: space-around;
}

.input_image_file {
    background: rgba(0, 0, 0, 0.1);
    box-shadow: 0 2px 8px;
    color: rgba(0, 0, 0, 0.7);
    transition-duration: 0.4s;
}

.input_image_file:hover {
    background: rgba(228, 100, 30, 0.1);
    color: rgba(228, 100, 30, 0.8);
    transition-duration: 0.2s;
}

.input_image_file:active {
    background: rgba(255, 60, 10, 0.1);
    color: rgba(255, 60, 10, 0.8);
    transition-duration: 0s;
}

.input_image_file input[type="file"] {
    display: none;
}

.input_image_file .material-icons {
    font-size: 40px;
    line-height: 96px;
}


.dragover {
    background: rgb(255, 228, 200);
}